<template>
    <div>
        <div class="push-component-container">
            <div class="table-responsive">
                <table
                    class="table-hover"
                >
                    <thead class="table-header">
                        <tr>
                            <th class="reminders-text">
                                Reminders
                            </th>
                            <th>Sent</th>
                            <th>Clicked</th>
                            <th>CTR, %</th>
                            <th>Orders</th>
                            <th>CVR, %</th>
                            <th>Revenue</th>
                            <th>Active</th>
                            <th />
                        </tr>
                    </thead>
                    <tbody class="table-body">
                        <tr
                            v-for="(reminder, index) in data.reminders"
                            :key="index"
                            class="table-body-row"
                        >
                            <th>
                                <div
                                    v-if="reminder.order === 1"
                                    class="counter-text"
                                >
                                    {{ reminder.order }}st
                                </div>
                                <div
                                    v-else-if="reminder.order === 2"
                                    class="counter-text"
                                >
                                    {{ reminder.order }}nd
                                </div>
                                <div
                                    v-else-if="reminder.order === 3"
                                    class="counter-text"
                                >
                                    {{ reminder.order }}rd
                                </div>
                                <div
                                    v-else
                                    class="counter-text"
                                >
                                    {{ reminder.order }}th
                                </div>
                                <div
                                    v-if="reminder.order === 1"
                                    class="last-seen"
                                >
                                    {{ reminder.send_time }} {{ reminder.send_time_type }} after abandoned checkout
                                </div>
                                <div
                                    v-else
                                    class="last-seen"
                                >
                                    {{ reminder.send_time }} {{ reminder.send_time_type }} after previous message
                                </div>
                            </th>
                            <th class="text-center">
                                {{ reminder.sent_count }}
                            </th>
                            <th class="text-center">
                                {{ reminder.clicked_count }}
                            </th>
                            <th class="text-center">
                                {{ reminder.click_rate }}
                            </th>
                            <th class="text-center">
                                {{ reminder.orders_count }}
                            </th>
                            <th class="text-center">
                                {{ reminder.cvr }}
                            </th>
                            <th class="text-center">
                                {{ $store.state.shop.currency || '' }}{{ $formatter.fixedNumber(reminder.revenue) }}
                            </th>
                            <th class="text-center">
                                <ToggleButton
                                    v-model="reminder.status"
                                    :font-size="12"
                                    class="toggle-btn"
                                    :height="24"
                                    :labels="true"
                                    color="rgb(45, 119, 245)"
                                    @change="changeStatus(reminder.id, reminder.status)"
                                />
                            </th>
                            <th
                                v-if="reminder.type === 'default'"
                                class="text-left"
                            >
                                <router-link
                                    :to="'/push/abandoned-carts/edit/'+reminder.order"
                                    class="btn light-blue-btn"
                                >
                                    Edit
                                </router-link>
                            </th>
                            <th
                                v-else
                                class="text-left"
                            >
                                <router-link
                                    :to="'/push/abandoned-carts/edit/'+reminder.order"
                                    class="btn light-blue-btn"
                                >
                                    Edit
                                </router-link>
                                <b-btn
                                    type="button"
                                    class="red-button"
                                    @click="deleteReminder(reminder.id)"
                                >
                                    Remove
                                </b-btn>
                            </th>
                            <!--                            <th-->
                            <!--                                class="text-right"-->
                            <!--                            >-->
                            <!--                                <router-link-->
                            <!--                                    to="/push/abandoned-carts/edit"-->
                            <!--                                    class="btn light-blue-btn"-->
                            <!--                                >-->
                            <!--                                    Edit-->
                            <!--                                </router-link>-->
                            <!--                            &lt;!&ndash;                                <b-btn&ndash;&gt;-->
                            <!--                            &lt;!&ndash;                                    type="button"&ndash;&gt;-->
                            <!--                            &lt;!&ndash;                                    class="red-button"&ndash;&gt;-->
                            <!--                            &lt;!&ndash;                                >&ndash;&gt;-->
                            <!--                            &lt;!&ndash;                                    Remove&ndash;&gt;-->
                            <!--                            &lt;!&ndash;                                </b-btn>&ndash;&gt;-->
                            <!--                            </th>-->
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</template>

<script>
import push from '../../../mixins/push/abandoned-carts.service'

export default {
    name: "PushTable",
    mixins: [push],
    props: ['data'],
    methods: {
        deleteReminder(id) {
            this.delete(id).then(response => {
                if (response) {
                    this.$notify({
                        type: 'success',
                        title: 'Deleted'
                    });
                    this.$emit('freshData')
                }
            }).catch(error => {
                console.log(error)
            })
        },
        changeStatus(id, status) {
           this.status(id , status).then(response => {
                this.$notify({
                    type: 'success',
                    title: 'Status Changed'
                });
            }).catch(error => {
                console.log(error)
            });
        }
    },
}
</script>

<style scoped>

.toggle-btn {
    margin-right: 0;
}

</style>
